summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-10-18 01:46:14 +0200
committerHolger Levsen <holger@layer-acht.org>2015-10-18 01:46:14 +0200
commitaf57459f8ab1ddfcce730ab54262b3c0cdc58c16 (patch)
treea1a0d99e99cded06cbba59548556bd04919f04ae /bin
parent524e7ec32d6141ebc89e17de11750decae12398d (diff)
downloadjenkins.debian.net-af57459f8ab1ddfcce730ab54262b3c0cdc58c16.tar.xz
reproducible: throw away temporary directories older than 2 days (instead of 3)
Diffstat (limited to 'bin')
-rwxr-xr-xbin/reproducible_maintenance.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index fd34d527..dfa6ea4a 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -114,13 +114,13 @@ if [ ! -z "$OLDSTUFF" ] ; then
fi
# delete old pbuilder build directories
-echo "$(date -u) - Deleting pbuilder build directories, older than 3 days."
-OLDSTUFF=$(find /srv/workspace/pbuilder/ -maxdepth 1 -regex '.*/[0-9]+' -type d -mtime +3 -exec ls -lad {} \; || true)
+echo "$(date -u) - Deleting pbuilder build directories, older than 2 days."
+OLDSTUFF=$(find /srv/workspace/pbuilder/ -maxdepth 1 -regex '.*/[0-9]+' -type d -mtime +2 -exec ls -lad {} \; || true)
if [ ! -z "$OLDSTUFF" ] ; then
echo
echo "Old temp directories found in $REP_RESULTS"
echo -n "$OLDSTUFF"
- find /srv/workspace/pbuilder/ -maxdepth 1 -regex '.*/[0-9]+' -type d -mtime +3 -exec sudo rm -rf --one-file-system {} \; || true
+ find /srv/workspace/pbuilder/ -maxdepth 1 -regex '.*/[0-9]+' -type d -mtime +2 -exec sudo rm -rf --one-file-system {} \; || true
echo
DIRTY=true
fi
@@ -130,11 +130,11 @@ echo "$(date -u) - Removing unused schroot sessions."
cleanup_schroot_sessions
# find old schroots
-echo "$(date -u) - Removing old schroots."
+echo "$(date -u) - Removing schroots older than 2 days."
OLDSTUFF=$(find /schroots/ -maxdepth 1 -type d -regextype posix-extended -regex "/schroots/reproducible-.*-[0-9]{1,5}" -mtime +2 -exec ls -lad {} \; || true)
if [ ! -z "$OLDSTUFF" ] ; then
echo
- echo "Old schroots found in /schroots, which will be deleted:"
+ echo "schroots older than 2 days found in /schroots, which will be deleted:"
find /schroots/ -maxdepth 1 -type d -regextype posix-extended -regex "/schroots/reproducible-.*-[0-9]{1,5}" -mtime +2 -exec sudo rm -rf --one-file-system {} \; || true
echo "$OLDSTUFF"
OLDSTUFF=$(find /schroots/ -maxdepth 1 -type d -regextype posix-extended -regex "/schroots/reproducible-.*-[0-9]{1,5}" -mtime +2 -exec ls -lad {} \; || true)